List purchases
curl --request GET \
--url https://external-api-service.pagamerican.app/api/v1/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api-service.pagamerican.app/api/v1/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api-service.pagamerican.app/api/v1/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"purchaseId": 151206,
"purchaseUcode": "pur_01a0...",
"orderId": 129156,
"checkoutId": "chk_01a0...",
"purchaseType": "front",
"currency": "usd",
"purchaseCreatedAt": "<string>",
"checkoutInitializedAt": "<string>",
"creatorName": "<string>",
"affiliateName": "<string>",
"offerCode": "<string>",
"offerName": "<string>",
"productName": "<string>",
"psp": "worldpay",
"paymentMethod": "credit_card",
"cardBrand": "visa",
"cardLast4": "0465",
"customerName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"billingAddress1": "<string>",
"billingAddress2": "<string>",
"billingCity": "<string>",
"billingState": "<string>",
"billingCountry": "<string>",
"billingZipcode": "<string>",
"amountTransaction": 123,
"amountItemsGross": 123,
"amountItemsNet": 123,
"amountShippingNet": 123,
"amountTaxes": 123,
"amountAffiliation": 123,
"amountAffiliationNet": 123,
"amountRefunded": 123,
"incomingAvailableAt": "<string>",
"incomingDays": 123,
"amountCreatorNet": 123,
"amountCreatorPlatformFee": 123,
"amountCreatorTax": 123
}
],
"meta": {
"count": 10,
"limit": 1000,
"from": "2026-08-24",
"to": "2026-08-25",
"truncated": true
}
}{
"error": {
"code": "invalid_request",
"message": "from must be before to",
"correlation_id": "a1b2c3d4-..."
}
}{
"error": {
"code": "invalid_request",
"message": "from must be before to",
"correlation_id": "a1b2c3d4-..."
}
}{
"error": {
"code": "invalid_request",
"message": "from must be before to",
"correlation_id": "a1b2c3d4-..."
}
}{
"error": {
"code": "invalid_request",
"message": "from must be before to",
"correlation_id": "a1b2c3d4-..."
}
}{
"error": {
"code": "invalid_request",
"message": "from must be before to",
"correlation_id": "a1b2c3d4-..."
}
}purchases
List purchases
Purchases in the window. Available to creator and affiliate keys. Affiliates do not receive the creator margin columns. Filtered by checkoutInitializedAt.
GET
/
api
/
v1
/
purchases
List purchases
Authorizations
Your opaque API key (pag_...) sent directly as the Bearer token. There is no token/JWT exchange.
Query Parameters
Inclusive start date (00:00 UTC), YYYY-MM-DD.
Example:
"2026-08-01"
Exclusive end date (00:00 UTC), YYYY-MM-DD. Pass the day after your intended last day. Max window 90 days.
Example:
"2026-08-08"
Maximum number of records (1 to 5000).
Required range:
1 <= x <= 5000